package routes

import javaser "github.com/rakuten-tech/jndi-ldap-test-server/java/serialization"

type ExploitSettings struct {
	DefaultPayload       []byte
	AllowDynamicPayloads DynamicPayloads
}

type DynamicPayloads struct {
	String bool
}

var exploitSettings ExploitSettings

func ParseExploitSettings(defaultPayload string, allowDynamicPayloads []string) ExploitSettings {
	dynamicPayloads := DynamicPayloads{}
	for _, allowedPayload := range allowDynamicPayloads {
		switch allowedPayload {
		case "string":
			dynamicPayloads.String = true
		}
	}
	return ExploitSettings{
		DefaultPayload:       javaser.EncodeString(defaultPayload),
		AllowDynamicPayloads: dynamicPayloads,
	}
}

func SetExploit(settings ExploitSettings) {
	exploitSettings = settings
}
